﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;
using System.ComponentModel;

namespace ITCWebshop4.Models
{
	[Bind(Exclude="ProductId,CreatedAt,CreatedBy,ChangedAt,ChangedBy")]
	public partial class tblProduct
	{
		public System.Guid ProductId { get; set; }
		public System.Guid VendorUserId { get; set; }
		[DisplayName("ArtikelNr")]
		public int ProductNo { get; set; }
		[DisplayName("Überschrift")]
		public string ShortDescr { get; set; }
		[DisplayName("Beschreibung")]
		public string LongDescr { get; set; }
		[DisplayName("Kategorie")]
		public System.Guid CategorieId { get; set; }
		[DisplayName("Preis")]
		public Nullable<decimal> Price { get; set; }
		[DisplayName("Versandhinweise")]
		public string ShippingTerms { get; set; }
		[DisplayName("Versandkosten")]
		public Nullable<decimal> ShippingCost { get; set; }
		[DisplayName("Online Status")]
		public byte State { get; set; }
		[DisplayName("Status geändert von")]
		public string StateChangeBy { get; set; }
		[DisplayName("Status geändert am")]
		public Nullable<System.DateTime> StateChangedAt { get; set; }
		public System.DateTime CreatedAt { get; set; }
		public string CreatedBy { get; set; }
		public Nullable<System.DateTime> ChangedAt { get; set; }
		public string ChangedBy { get; set; }
		public virtual tblCategorie tblCategorie { get; set; }
		public virtual tblUser tblUser { get; set; }
	}
}
