using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;

namespace ITCWebshop4.Models.Mapping
{
    public class tblCategorieMap : EntityTypeConfiguration<tblCategorie>
    {
        public tblCategorieMap()
        {
            // Primary Key
            this.HasKey(t => t.CategorieId);

            // Properties
            this.Property(t => t.Description)
                .IsRequired()
                .HasMaxLength(100);

            this.Property(t => t.CreatedBy)
                .IsRequired()
                .HasMaxLength(50);

            this.Property(t => t.ChangedBy)
                .HasMaxLength(50);

            // Table & Column Mappings
            this.ToTable("tblCategorie");
            this.Property(t => t.CategorieId).HasColumnName("CategorieId");
            this.Property(t => t.ParentCategorieId).HasColumnName("ParentCategorieId");
            this.Property(t => t.Description).HasColumnName("Description");
            this.Property(t => t.SortNo).HasColumnName("SortNo");
            this.Property(t => t.CreatedAt).HasColumnName("CreatedAt");
            this.Property(t => t.CreatedBy).HasColumnName("CreatedBy");
            this.Property(t => t.ChangedAt).HasColumnName("ChangedAt");
            this.Property(t => t.ChangedBy).HasColumnName("ChangedBy");
        }
    }
}
