using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;

namespace ITCWebshop4.Models.Mapping
{
    public class tblUserMap : EntityTypeConfiguration<tblUser>
    {
        public tblUserMap()
        {
            // Primary Key
            this.HasKey(t => t.UserId);

            // Properties
            this.Property(t => t.UserName)
                .IsRequired()
                .HasMaxLength(50);

            this.Property(t => t.CreatedBy)
                .IsRequired()
                .HasMaxLength(50);

            this.Property(t => t.ChangedBy)
                .HasMaxLength(50);

            // Table & Column Mappings
            this.ToTable("tblUser");
            this.Property(t => t.UserId).HasColumnName("UserId");
            this.Property(t => t.UserName).HasColumnName("UserName");
            this.Property(t => t.AllowNew).HasColumnName("AllowNew");
            this.Property(t => t.AllowEdit).HasColumnName("AllowEdit");
            this.Property(t => t.AllowDelete).HasColumnName("AllowDelete");
            this.Property(t => t.IsAdmin).HasColumnName("IsAdmin");
            this.Property(t => t.CreatedAt).HasColumnName("CreatedAt");
            this.Property(t => t.CreatedBy).HasColumnName("CreatedBy");
            this.Property(t => t.ChangedAt).HasColumnName("ChangedAt");
            this.Property(t => t.ChangedBy).HasColumnName("ChangedBy");
        }
    }
}
